Skip to main content
GET
Retrieve a message

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Retrieve a message

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
loyalty.message
body
string
required

The body of the message shown to the recipient.

category
enum<string> | null
required

The category of the message. null when the message is not categorised.

Available options:
announcement,
event,
offer,
alert,
null
channels
enum<string>[]
required

The delivery channels used for the message.

Minimum array length: 1

How the message is delivered. push sends a OneMove notification. email sends to the resident or customer email address.

Available options:
email,
push
delivery
Delivery · object
required

A summary of the OneMove push delivery attempts for the message.

email_delivery
Email delivery · object | null
required

A summary of the email delivery attempts for the message. null when email was not one of the requested channels.

failure_code
enum<string> | null
required

The reason the message could not be delivered, if it failed.

Available options:
no_email,
no_onemove_user,
no_device_tokens,
send_error,
null
recipient
Building · object
required

The recipient of the message.

sent_at
integer | null
required

The date and time the message was sent.

status
enum<string>
required

The status of the message.

Available options:
failed,
pending,
sent
title
string
required

The title of the message shown to the recipient.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.